import { XmlNode } from './XmlNode.js';
/**
 * An XML declaration within an XML document.
 *
 * @example
 *
 * ```xml
 * <?xml version="1.0" encoding="UTF-8"?>
 * ```
 */
export declare class XmlDeclaration extends XmlNode {
    /**
     * Value of the encoding declaration in this XML declaration, or `null` if no
     * encoding declaration was present.
     */
    encoding: string | null;
    /**
     * Value of the standalone declaration in this XML declaration, or `null` if
     * no standalone declaration was present.
     */
    standalone: 'yes' | 'no' | null;
    /**
     * Value of the version declaration in this XML declaration.
     */
    version: string;
    constructor(version: string, encoding?: string, standalone?: typeof XmlDeclaration.prototype.standalone);
    get type(): string;
    toJSON(): import("./types.js").JsonObject;
}
//# sourceMappingURL=XmlDeclaration.d.ts.map