/**
 * An error that occurred while parsing XML.
 */
export declare class XmlError extends Error {
    /**
     * Character column at which this error occurred (1-based).
     */
    readonly column: number;
    /**
     * Short excerpt from the input string that contains the problem.
     */
    readonly excerpt: string;
    /**
     * Line number at which this error occurred (1-based).
     */
    readonly line: number;
    /**
     * Character position at which this error occurred relative to the beginning
     * of the input (0-based).
     */
    readonly pos: number;
    constructor(message: string, charIndex: number, xml: string);
}
//# sourceMappingURL=XmlError.d.ts.map